org.deidentifier.arx.io

## Class ImportColumnJDBC

- java.lang.Object
- - org.deidentifier.arx.io.ImportColumn
  - - org.deidentifier.arx.io.ImportColumnJDBC

All Implemented Interfaces:
  IImportColumnIndexed

    public class ImportColumnJDBC
    extends ImportColumn
    implements IImportColumnIndexed

Represents a single JDBC data column JDBC columns can be referred to by both an index (`IIndexColumn`) and by name (`IImportColumnNamed`. Use the appropriate constructor that suits your need.

Author:
  Karol Babioch, Fabian Prasser, Florian Kohlmayer

### Constructor Summary

Constructors
Constructor and Description
`ImportColumnJDBC(int index, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnJDBC(int index, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.
`ImportColumnJDBC(int index, java.lang.String aliasName, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnJDBC(int index, java.lang.String aliasName, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.
`ImportColumnJDBC(java.lang.String name, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnJDBC(java.lang.String name, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.
`ImportColumnJDBC(java.lang.String name, java.lang.String aliasName, DataType<?> datatype)` Creates a new instance of this object with the given parameters.
`ImportColumnJDBC(java.lang.String name, java.lang.String aliasName, DataType<?> datatype, boolean cleansing)` Creates a new instance of this object with the given parameters.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getIndex()` Returns the index this column refers to.
`java.lang.String` `getName()` Returns the name this column refers to.
`void` `setIndex(int index)` Sets the index this columns refers to.
`void` `setName(java.lang.String name)` Sets the name this columns refers to.

### Methods inherited from class org.deidentifier.arx.io.ImportColumn

`getAliasName, getDataType, isCleansing, setAliasName, setCleansing, setDataType`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ImportColumnJDBC

    public ImportColumnJDBC(int index,
                            DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` -
  `datatype` -

#### ImportColumnJDBC

    public ImportColumnJDBC(int index,
                            DataType<?> datatype,
                            boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` -
  `datatype` -
  `cleansing` -

#### ImportColumnJDBC

    public ImportColumnJDBC(int index,
                            java.lang.String aliasName,
                            DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` -
  `aliasName` -
  `datatype` -

#### ImportColumnJDBC

    public ImportColumnJDBC(int index,
                            java.lang.String aliasName,
                            DataType<?> datatype,
                            boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `index` -
  `aliasName` -
  `datatype` -
  `cleansing` -

#### ImportColumnJDBC

    public ImportColumnJDBC(java.lang.String name,
                            DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` -
  `datatype` -

#### ImportColumnJDBC

    public ImportColumnJDBC(java.lang.String name,
                            DataType<?> datatype,
                            boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` -
  `datatype` -
  `cleansing` -

#### ImportColumnJDBC

    public ImportColumnJDBC(java.lang.String name,
                            java.lang.String aliasName,
                            DataType<?> datatype)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` -
  `aliasName` -
  `datatype` -

#### ImportColumnJDBC

    public ImportColumnJDBC(java.lang.String name,
                            java.lang.String aliasName,
                            DataType<?> datatype,
                            boolean cleansing)

Creates a new instance of this object with the given parameters.

Parameters:
  `name` -
  `aliasName` -
  `datatype` -
  `cleansing` -

### Method Detail

#### getIndex

    public int getIndex()

Description copied from interface: `IImportColumnIndexed`
Returns the index this column refers to.

Specified by:
  `getIndex` in interface `IImportColumnIndexed`
Returns:
  `index`

#### getName

    public java.lang.String getName()

Returns the name this column refers to.

Returns:
  `name`

#### setIndex

    public void setIndex(int index)

Description copied from interface: `IImportColumnIndexed`
Sets the index this columns refers to.

Specified by:
  `setIndex` in interface `IImportColumnIndexed`
Parameters:
  `index` - `index`

#### setName

    public void setName(java.lang.String name)

Sets the name this columns refers to.

Parameters:
  `name` - `name`